Espruino 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1186097 漏洞类型
发布时间 2018-06-01 更新时间 2018-06-01
CVE编号 CVE-2018-11592 CNNVD-ID CNNVD-201805-1231
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1231
|漏洞详情
Espruino是一款使用在微控制器中的JavaScript解释器。 Espruino 1.98之前版本中存在安全漏洞,该漏洞源于在分析语法时,libs/graphics/jswrap_graphics.c文件没有验证高度。攻击者可借助特制的文件利用该漏洞造成拒绝服务(越界读取和应用程序)。
|参考资料
resource:Patch
hyperlink:https://github.com/espruino/Espruino/commit/8a44b04b584b3d3ab1cb68fed410f7ecb165e50e
resource:Exploit
hyperlink:https://github.com/espruino/Espruino/files/2015630/test_0.txt
resource:Issue Tracking
hyperlink:https://github.com/espruino/Espruino/issues/1421